Subject: [alpine-user] ethernet link not up

From: Vieri <[email-masked]>
Date: Thu, 6 Jun 2019 13:50:19 +0000 (UTC)

Hi,

I'm having trouble with ethernet cards and cable length.

This is what I have when I connect an old 100Mbps NIC to a Gbps swith port with a short RJ-45 cable (all works fine): 

# ethtool eth4
Settings for eth4:
        Supported ports: [ TP MII ]
        Supported link modes:   10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
        Supported pause frame use: No
        Supports auto-negotiation: Yes
        Supported FEC modes: Not reported
        Advertised link modes:  10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
        Advertised pause frame use: Symmetric
        Advertised auto-negotiation: Yes
        Advertised FEC modes: Not reported
        Link partner advertised link modes:  10baseT/Half 10baseT/Full
                                             100baseT/Half 100baseT/Full
        Link partner advertised pause frame use: No
        Link partner advertised auto-negotiation: Yes
        Link partner advertised FEC modes: Not reported
        Speed: 100Mb/s
        Duplex: Full
        Port: MII
        PHYAD: 24
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: g
        Wake-on: d
        Current message level: 0x00000001 (1)
                               drv
        Link detected: yes

# ethtool --driver eth4
driver: 3c59x
version:
firmware-version:
expansion-rom-version:
bus-info: 0000:00:0d.0
supports-statistics: yes
supports-test: no
supports-eeprom-access: no
supports-register-dump: no
supports-priv-flags: no

However, when using a slightly longer cable (5-10m) the link speed is not successfully negotiated, and the switch port's LED does not light up.

[  105.301478] eth4:  setting half-duplex.
[  105.301736] IPv6: ADDRCONF(NETDEV_UP): eth4: link is not ready

ICMPv4 does not work.

I tried the same cable and the same NIC with another Linux distro, and the result was a successful 100Mbps full-duplex link.
Unfortunately, I did not check if this other distro was using the same 3c59x driver.

In the meantime, does anyone have any ideas? It's the first time I encounter such a problem (it usually happens with 100+m cables, but not with such a short one -- and I tried two of them just to be sure).

Vieri

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---